Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-xml-libxslt: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 9 Nov 2015 14:40:04 +0200

---
 testing/perl-xml-libxslt/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-xml-libxslt/APKBUILD
diff --git a/testing/perl-xml-libxslt/APKBUILD b/testing/perl-xml-libxslt/APKBUILD
new file mode 100644
index 0000000..0e8c02c
--- /dev/null
+++ b/testing/perl-xml-libxslt/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-xml-libxslt
+_pkgreal=XML-LibXSLT
+pkgver=1.94
+pkgrel=0
+pkgdesc="Interface to GNOME libxslt library"
+url="http://search.cpan.org/dist/XML-LibXSLT/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends="perl-xml-libxml"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends libxml2-dev libxslt-dev libgcrypt-dev libgpg-error-dev"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="a32045699c001d960d6f94891f9e853c  XML-LibXSLT-1.94.tar.gz"
+sha256sums="b9c0d4de0697284c3f4687283f2ed6b28139b088e2dc2c73be37b0f7b5e94ae5  XML-LibXSLT-1.94.tar.gz"
+sha512sums="52b3ec6ef0556d9dde8320acbea01fe36e219bc62ed2d9e0cbe2f8f402bfc3f42ca1e28a6e047e69f501982fe4ba40d23fcfbce9399388c9f28a0d8804fc5f73  XML-LibXSLT-1.94.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 09 2015 - 14:40:04 GMT